<div class="module flat">
    <header class="module-header">
        <h2>Configuración de usuario</h2>
    </header>

    <!-- <app-tabs [tabs]="['Cuenta']"> -->

        <div class="settings display" *ngIf="config$ | async as config">

            <dl class="data-list">
                <dt>Email</dt>
                <dd><span>{{ config.email }}</span> <button mr-button class="primary small" (click)="openEmailModal()">Cambiar</button></dd>
                <dt>Contraseña</dt>
                <dd><span>******</span> <button mr-button class="primary small" (click)="openPasswordModal()">Cambiar</button></dd>
            </dl>

            <hr>

            <!-- <dl class="data-list">
                <dt>Nuevos participantes</dt>
                <dd>
                    <mr-switch
                    [(ngModel)]="config.replyRequestEmail"
                    [preventDefault]="true"
                    (ondeactivate)="updateConfig('replyRequestEmail', false)"
                    (onactivate)="updateConfig('replyRequestEmail', true)"></mr-switch>
                </dd>
                <dt>Invitaciones a hilos</dt>
                <dd>
                    <mr-switch
                    [(ngModel)]="config.threadInviteEmail"
                    [preventDefault]="true"
                    (ondeactivate)="updateConfig('threadInviteEmail', false)"
                    (onactivate)="updateConfig('threadInviteEmail', true)"></mr-switch>
                </dd>
            </dl>

            <hr> -->

            <!-- <div class="settings-actions">
                <button mr-button class="secondary hover"><i class="las la-trash"></i> Desactivar Cuenta</button>
            </div> -->

        </div>

</div>
